/*
 * Copyright (c) 2011 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */
package de.intevation.flys.client.shared.model;


/**
 * Trivial implementation of a user. Useful to be subclassed.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultUser
implements   User
{
    /** The identifier of the user.*/
    protected String identifier;

    /** The name of the user.*/
    protected String name;


    /**
     * The default constructor.
     */
    public DefaultUser() {
    }


    /**
     * A constructor that creates a new user.
     *
     * @param identifier The uuid of the user.
     * @param name The name of the user.
     */
    public DefaultUser(String identifier, String name) {
        this.identifier = identifier;
        this.name       = name;
    }


    /**
     * Returns the identifier of this user.
     *
     * @return the identifier of this user.
     */
    public String identifier() {
        return identifier;
    }


    /**
     * Returns the name of the user.
     *
     * @return the name of the user.
     */
    public String getName() {
        return name;
    }


    /**
     * Set the identifier of the user.
     *
     * @param identifier The new identifier.
     */
    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }


    /**
     * Set the name of the user.
     *
     * @param name The name for this user.
     */
    public void setName(String name) {
        this.name = name;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
